package cn.iocoder.yudao.module.inspection.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.iocoder.yudao.module.inspection.entity.InspectionGoodsSku;
import cn.iocoder.yudao.module.inspection.entity.ShopInspectionCategory;
import cn.iocoder.yudao.module.inspection.entity.ShopInspectionGoods;
import cn.iocoder.yudao.module.inspection.query.GoodsQuery;
import cn.iocoder.yudao.module.inspection.vo.*;

import java.util.List;

/**
 * 车检商品表(ShopInspectionGoods)表服务接口
 *
 * @author makejava
 * @since 2023-08-01 16:04:14
 */
public interface AppInspectionGoodsService extends IService<ShopInspectionGoods> {

    IPage<PartnerListVo> homePartner(Page<PartnerListVo> page, Double longitude, Double latitude);
    List<ShopInspectionCategory>  categoryList();
    List<GoodsVo> goodsList(GoodsQuery goodsQuery);
    GoodsDetail goodsDetail(GoodsQuery goodsQuery);
    List<InspectionGoodsSku> goodsSkuList(GoodsQuery goodsQuery);
    OrderGoodsInfo orderGoodsInfo(GoodsQuery goodsQuery);
    OrderGoodsInfo orderSkuInfo(GoodsQuery goodsQuery);



}

